Bug 59753 - compile error in PDA::Pilot
compile error in PDA::Pilot
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: pilot-link (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-12 13:59 EST by jens.koerber
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-12 13:59:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description jens.koerber 2002-02-12 13:59:00 EST
Description of Problem:

gcc -c -I../../include -D_REENTRANT -fno-strict-aliasing -I/usr/local/include
-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O2 -march=i686 -mcpu=i686  
-DVERSION=\"0.1\" -DXS_VERSION=\"0.1\" -fPIC
-I/usr/lib/perl5/5.6.1/i686-linux-thread-multi/CORE -DPERL_POLLUTE Pilot.c
In file included from Pilot.xs:32:
../../include/pi-todo.h:29: parse error before `('
../../include/pi-todo.h:29: warning: no semicolon at end of struct or union
../../include/pi-todo.h:31: parse error before `}'
In file included from Pilot.xs:33:
../../include/pi-mail.h:34: parse error before `('
../../include/pi-mail.h:34: warning: no semicolon at end of struct or union
../../include/pi-mail.h:39: parse error before `}'
Pilot.xs: In function `XS_PDA__Pilot__ToDo_UnpackAppBlock':
Pilot.xs:1208: storage size of `a' isn't known
Pilot.xs:1229: parse error before `('
Pilot.xs: In function `XS_PDA__Pilot__ToDo_PackAppBlock':
Pilot.xs:1247: storage size of `a' isn't known
Pilot.xs:1258: parse error before `('
Pilot.xs: In function `XS_PDA__Pilot__Mail_UnpackAppBlock':
Pilot.xs:2029: storage size of `a' isn't known
Pilot.xs:2052: parse error before `('
Pilot.xs: In function `XS_PDA__Pilot__Mail_PackAppBlock':                  
Pilot.xs:2069: storage size of `a' isn't known
Pilot.xs:2083: parse error before `('        

Version-Release number of selected component (if applicable):
perl-5.6.1-27, pilot-link-0.9.5-12, gcc-2.96-102

Workaround:
--- pilot-link.0.9.5/tools/Perl5/Pilot.xs.orig	Tue Feb 12 14:06:05 2002
+++ pilot-link.0.9.5/tools/Perl5/Pilot.xs	Tue Feb 12 14:17:33 2002
@@ -23,6 +23,11 @@
 #include "XSUB.h"
 #include "patchlevel.h"
 
+/* Work around a bit of Perl Pollution */
+#ifdef dirty
+#undef dirty
+#endif
+
 #include "pi-macros.h"
 #include "pi-file.h"
 #include "pi-datebook.h"
Comment 1 Ngo Than 2002-02-21 12:41:09 EST
dirty is defined in perl-5.6.1. Thanks for your infos. It's fixed in
pilot-link-0.9.5-14

Note You need to log in before you can comment on or make changes to this bug.